For best usage experience it is recommended to use
Internet Explorer 8 and above or Google chrome.
Messages
Ver. 1.6.0.3